[arch-commits] Commit in dhall-json/repos/community-staging-x86_64 (PKGBUILD PKGBUILD)
Felix Yan
felixonmars at gemini.archlinux.org
Fri Mar 18 20:15:52 UTC 2022
Date: Friday, March 18, 2022 @ 20:15:52
Author: felixonmars
Revision: 1159053
archrelease: copy trunk to community-staging-x86_64
Added:
dhall-json/repos/community-staging-x86_64/PKGBUILD
(from rev 1159052, dhall-json/trunk/PKGBUILD)
Deleted:
dhall-json/repos/community-staging-x86_64/PKGBUILD
----------+
PKGBUILD | 86 ++++++++++++++++++++++++++++++-------------------------------
1 file changed, 43 insertions(+), 43 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2022-03-18 20:15:44 UTC (rev 1159052)
+++ PKGBUILD 2022-03-18 20:15:52 UTC (rev 1159053)
@@ -1,43 +0,0 @@
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-
-pkgname=dhall-json
-pkgver=1.7.9
-pkgrel=53
-pkgdesc='Convert between Dhall and JSON or YAML'
-url='https://dhall-lang.org'
-license=('BSD')
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-aeson-yaml' 'dhall'
- 'haskell-lens-family-core' 'haskell-optparse-applicative' 'haskell-prettyprinter'
- 'haskell-scientific' 'haskell-unordered-containers' 'haskell-prettyprinter-ansi-terminal')
-makedepends=('ghc' 'haskell-tasty' 'haskell-tasty-hunit' 'haskell-tasty-silver')
-source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
-sha512sums=('57ed6b418753cccb03c94f1b595d218a11c44cf903f1b67c5b0850e50d6cc9504c717c5fb96011c0a260c22200f4124922a36617cec1fcb5ef226e768e806e55')
-
-build() {
- cd $pkgname-$pkgver
-
- runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
- --prefix=/usr --docdir="/usr/share/doc/${pkgbase}" --datasubdir="$pkgname" --enable-tests \
- --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
- runhaskell Setup build $MAKEFLAGS
- runhaskell Setup register --gen-script
- runhaskell Setup unregister --gen-script
- sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
- sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
- cd $pkgname-$pkgver
- # https://github.com/dhall-lang/dhall-haskell/issues/2151
- runhaskell Setup test || echo "Tests failed"
-}
-
-package() {
- cd $pkgname-$pkgver
- install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
- install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
- runhaskell Setup copy --destdir="${pkgdir}"
- install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
- rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
-}
Copied: dhall-json/repos/community-staging-x86_64/PKGBUILD (from rev 1159052, dhall-json/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2022-03-18 20:15:52 UTC (rev 1159053)
@@ -0,0 +1,43 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgname=dhall-json
+pkgver=1.7.9
+pkgrel=54
+pkgdesc='Convert between Dhall and JSON or YAML'
+url='https://dhall-lang.org'
+license=('BSD')
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-aeson-pretty' 'haskell-aeson-yaml' 'dhall'
+ 'haskell-lens-family-core' 'haskell-optparse-applicative' 'haskell-prettyprinter'
+ 'haskell-scientific' 'haskell-unordered-containers' 'haskell-prettyprinter-ansi-terminal')
+makedepends=('ghc' 'haskell-tasty' 'haskell-tasty-hunit' 'haskell-tasty-silver')
+source=("https://hackage.haskell.org/packages/archive/${pkgname}/${pkgver}/${pkgname}-${pkgver}.tar.gz")
+sha512sums=('57ed6b418753cccb03c94f1b595d218a11c44cf903f1b67c5b0850e50d6cc9504c717c5fb96011c0a260c22200f4124922a36617cec1fcb5ef226e768e806e55')
+
+build() {
+ cd $pkgname-$pkgver
+
+ runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+ --prefix=/usr --docdir="/usr/share/doc/${pkgbase}" --datasubdir="$pkgname" --enable-tests \
+ --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid --ghc-option=-fllvm
+ runhaskell Setup build $MAKEFLAGS
+ runhaskell Setup register --gen-script
+ runhaskell Setup unregister --gen-script
+ sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+ sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+ cd $pkgname-$pkgver
+ # https://github.com/dhall-lang/dhall-haskell/issues/2151
+ runhaskell Setup test || echo "Tests failed"
+}
+
+package() {
+ cd $pkgname-$pkgver
+ install -D -m744 register.sh "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+ install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+ runhaskell Setup copy --destdir="${pkgdir}"
+ install -D -m644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE
+ rm -f "$pkgdir"/usr/share/doc/$pkgname/LICENSE
+}
More information about the arch-commits
mailing list